Network manager connection details does not read out in tab order the labels of each value

Bug #1266302 reported by Rob Whyte on 2014-01-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Network Manager Applet
Fix Released
Wishlist
network-manager-applet (Ubuntu)
Undecided
Luke Yelavich

Bug Description

A flat review shows the Interface, Mac Address, Connection Speed, Security type etc labels but when tabbing through, Orca does not read the label before speaking the value. Expected behaviour is to hear the label of the value first then the value so each item is spoken in context.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: network-manager-gnome 0.9.8.0-1ubuntu7
ProcVersionSignature: Ubuntu 3.12.0-2.7-generic 3.12.0
Uname: Linux 3.12.0-2-generic x86_64
ApportVersion: 2.12.7-0ubuntu4
Architecture: amd64
CurrentDesktop: Unity
Date: Mon Jan 6 10:26:17 2014
ExecutablePath: /usr/bin/nm-applet
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
InstallationDate: Installed on 2013-11-14 (52 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20131113)
IpRoute:
 default via 10.0.0.138 dev eth0 proto static
 10.0.0.0/24 dev eth0 proto kernel scope link src 10.0.0.1 metric 1
IwConfig:
 eth0 no wireless extensions.

 lo no wireless extensions.
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
ProcEnviron:
 LANGUAGE=en_AU:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_AU.UTF-8
 SHELL=/bin/bash
RfKill:
 0: hci0: Bluetooth
  Soft blocked: no
  Hard blocked: no
SourcePackage: network-manager-applet
UpgradeStatus: No upgrade log present (probably fresh install)
nmcli-con:
 NAME UUID TYPE TIMESTAMP TIMESTAMP-REAL AUTOCONNECT READONLY DBUS-PATH
 Wired connection 1 8cc65633-60b7-4f2c-9957-c39758c9d939 802-3-ethernet 1388964143 Mon 06 Jan 2014 10:22:23 EST yes no /org/freedesktop/NetworkManager/Settings/0
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH
 eth0 802-3-ethernet connected /org/freedesktop/NetworkManager/Devices/0
nmcli-nm:
 RUNNING VERSION STATE NET-ENABLED WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
 running 0.9.8.4 connected enabled enabled enabled enabled disabled

Related branches

Rob Whyte (fudge) wrote :
description: updated
Luke Yelavich (themuso) wrote :

Rob, could you please explain how to get to the dialog you are referring to? I don't know what dialog you are talking about.

Rob Whyte (fudge) wrote :

Hi, from Unity Global menubar click on Ethernet then navigate to Conneciton Information. This is the dialogue I refer to. Please let me know if I can provide any further information :D

Luke Yelavich (themuso) on 2014-02-03
Changed in network-manager-applet (Ubuntu):
assignee: nobody → Luke Yelavich (themuso)
status: New → Triaged
Changed in network-manager-applet:
importance: Unknown → Wishlist
status: Unknown → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager-applet - 0.9.8.8-0ubuntu2

---------------
network-manager-applet (0.9.8.8-0ubuntu2) trusty; urgency=medium

  * debian/patches/set_atk_relations.patch: Set label relationships in info
    dialogs to better present information to Orca users. (LP: #1266302)
 -- Luke Yelavich <email address hidden> Wed, 12 Mar 2014 14:10:29 +1100

Changed in network-manager-applet (Ubuntu):
status: Triaged → Fix Released
Changed in network-manager-applet:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.